import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntWithAggregatesFilterObjectSchema as IntWithAggregatesFilterObjectSchema } from './IntWithAggregatesFilter.schema';
import { StringWithAggregatesFilterObjectSchema as StringWithAggregatesFilterObjectSchema } from './StringWithAggregatesFilter.schema';
import { BytesWithAggregatesFilterObjectSchema as BytesWithAggregatesFilterObjectSchema } from './BytesWithAggregatesFilter.schema';
import { DateTimeWithAggregatesFilterObjectSchema as DateTimeWithAggregatesFilterObjectSchema } from './DateTimeWithAggregatesFilter.schema'

const pdffilescalarwherewithaggregatesinputSchema = z.object({
  AND: z.union([z.lazy(() => PdfFileScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => PdfFileScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => PdfFileScalarWhereWithAggregatesInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => PdfFileScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => PdfFileScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  filename: z.union([z.lazy(() => StringWithAggregatesFilterObjectSchema), z.string()]).optional(),
  pdfData: z.union([z.lazy(() => BytesWithAggregatesFilterObjectSchema), z.instanceof(Uint8Array)]).optional(),
  uploadedAt: z.union([z.lazy(() => DateTimeWithAggregatesFilterObjectSchema), z.coerce.date()]).optional(),
  groupId: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional()
}).strict();
export const PdfFileScalarWhereWithAggregatesInputObjectSchema: z.ZodType<Prisma.PdfFileScalarWhereWithAggregatesInput> = pdffilescalarwherewithaggregatesinputSchema as unknown as z.ZodType<Prisma.PdfFileScalarWhereWithAggregatesInput>;
export const PdfFileScalarWhereWithAggregatesInputObjectZodSchema = pdffilescalarwherewithaggregatesinputSchema;
